Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.params
Class LeafShapeParam

    java.lang.Object
      net.sourceforge.arbaro.params.AbstractParam
          net.sourceforge.arbaro.params.StringParam
              net.sourceforge.arbaro.params.LeafShapeParam

    public final class LeafShapeParam

extends StringParam

Author:
  wdiestel

Field Summary

Fields inherited from class net.sourceforge.arbaro.params.AbstractParam
`changeEvent, GENERAL, listenerList, loading`

Constructor Summary
`LeafShapeParam(java.lang.String nam, java.lang.String def, java.lang.String grp, int lev, int ord, java.lang.String sh, java.lang.String lng)`

Method Summary
`static java.lang.String[]` | `values()`

Methods inherited from class net.sourceforge.arbaro.params.StringParam
`clear, empty, getDefaultValue, getValue, setValue`

Methods inherited from class net.sourceforge.arbaro.params.AbstractParam
`addChangeListener, fireStateChanged, getEnabled, getGroup, getLevel, getLongDesc, getName, getOrder, getShortDesc, removeChangeListener, setEnabled, toString, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafShapeParam

    public LeafShapeParam(java.lang.String nam,
                          java.lang.String def,
                          java.lang.String grp,
                          int lev,
                          int ord,
                          java.lang.String sh,
                          java.lang.String lng)

Parameters:
  `nam` -
  `def` -
  `grp` -
  `lev` -
  `sh` -
  `lng` -

Method Detail

### values

    public static java.lang.String[] values()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD